# convert::to-boolean

(Deprecated)

Converts the argument to a boolean

### Usage

`bool convert::to-boolean(value)`

### Parameters

Name | Type | Description
--- | --- | ---
value | bool | The string value to be converted to boolean. Must be 'true' or 'false'.

### Return Value

value converted to boolean. The function fails with an exception when the conversion is not possible.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)